
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Tetrahedron()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc(strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "tetrahedron.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "4\t4\t12\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, " 1.0  1.0  1.0\n" );
    fprintf( fp, " 1.0 -1.0 -1.0\n" );
    fprintf( fp, "-1.0  1.0 -1.0\n" );
    fprintf( fp, "-1.0 -1.0  1.0\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "3 1 2 3\n" );
    fprintf( fp, "3 1 4 2\n" );
    fprintf( fp, "3 1 3 4\n" );
    fprintf( fp, "3 2 4 3\n" );

    fclose( fp );
}
