
#ifndef _externs_h
#define _externs_h

#undef NeedFunctionPrototypes

extern void create_gui();
extern void initialize_light_table();
extern void initialize_depth_cue_table();
extern void initialize_view();
extern void build_sphere();
extern void finalQuit();

extern void printView();

extern int printEvent();

extern void quit(
#if NeedFunctionPrototypes
    Widget     w;
    caddr_t    client_data;
    XtPointer *call_data;
#endif
);

extern void pressWindow(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void motionWindow(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void releaseWindow(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void exposeWindow(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void expose(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void set_vrp(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_vrp(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_vup(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_vup(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_vpn(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_vpn(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_prp(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_prp(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_planes(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_planes(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void reset_window(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_type(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_clip(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void set_npc(
#if NeedFunctionPrototypes
    Widget     widget;
    caddr_t    parameter;
    XtPointer *cbs;
#endif
);

extern void handle_input(
#if NeedFunctionPrototypes
    Widget    w;
    caddr_t    client_data;
    XEvent    *event;
#endif
);

extern void redraw(
#if NeedFunctionPrototypes
#endif
);

extern void redrawWindow(
#if NeedFunctionPrototypes
#endif
);

#endif /* _externs_h */
