
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Icosidodecahedron()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "icosidodecahedron.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "31\t32\t121\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, "-0.309017 -0.425325  0.850651\n" );
    fprintf( fp, " 0.000000  0.525731  0.850651\n" );
    fprintf( fp, " 0.500000  0.688191  0.525731\n" );
    fprintf( fp, "-0.500000  0.162460  0.850651\n" );
    fprintf( fp, "-0.500000  0.688191  0.525731\n" );
    fprintf( fp, "-1.000000  0.000000  0.000000\n" );
    fprintf( fp, "-0.809017 -0.262866  0.525731\n" );
    fprintf( fp, " 0.309017 -0.425325  0.850651\n" );
    fprintf( fp, " 0.559017 -0.344095  0.688191\n" );
    fprintf( fp, " 0.000000 -0.850651  0.525731\n" );
    fprintf( fp, " 0.809017 -0.262866  0.525731\n" );
    fprintf( fp, " 0.500000  0.162460  0.850651\n" );
    fprintf( fp, "-0.500000 -0.162460 -0.850651\n" );
    fprintf( fp, " 0.000000 -0.525731 -0.850651\n" );
    fprintf( fp, "-0.309017 -0.951057  0.000000\n" );
    fprintf( fp, " 0.309017 -0.951057  0.000000\n" );
    fprintf( fp, " 0.500000 -0.688191 -0.525731\n" );
    fprintf( fp, " 0.500000 -0.162460 -0.850651\n" );
    fprintf( fp, " 0.809017 -0.587785  0.000000\n" );
    fprintf( fp, " 1.000000  0.000000  0.000000\n" );
    fprintf( fp, " 0.809017  0.262866 -0.525731\n" );
    fprintf( fp, " 0.809017  0.587785  0.000000\n" );
    fprintf( fp, " 0.309017  0.951057  0.000000\n" );
    fprintf( fp, " 0.000000  0.850651 -0.525731\n" );
    fprintf( fp, " 0.309017  0.425325 -0.850651\n" );
    fprintf( fp, "-0.309017  0.425325 -0.850651\n" );
    fprintf( fp, "-0.309017  0.951057  0.000000\n" );
    fprintf( fp, "-0.809017  0.587785  0.000000\n" );
    fprintf( fp, "-0.809017  0.262866 -0.525731\n" );
    fprintf( fp, "-0.809017 -0.587785  0.000000\n" );
    fprintf( fp, "-0.500000 -0.688191 -0.525731\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "5 3 0 7 11 1\n" );
    fprintf( fp, "3 4 3 1\n" );
    fprintf( fp, "5 1 2 22 26 4\n" );
    fprintf( fp, "3 26 27 4\n" );
    fprintf( fp, "5 3 4 27 5 6\n" );
    fprintf( fp, "3 6 0 3\n" );
    fprintf( fp, "5 29 14 9 0 6\n" );
    fprintf( fp, "6 7 9 15 18 10 8\n" );
    fprintf( fp, "3 7 0 9\n" );
    fprintf( fp, "3 9 14 15\n" );
    fprintf( fp, "3 15 16 18\n" );
    fprintf( fp, "3 11 2 1\n" );
    fprintf( fp, "3 11 7 10\n" );
    fprintf( fp, "3 10 18 19\n" );
    fprintf( fp, "5 21 2 11 10 19\n" );
    fprintf( fp, "5 13 12 25 24 17\n" );
    fprintf( fp, "5 14 30 13 16 15\n" );
    fprintf( fp, "3 13 17 16\n" );
    fprintf( fp, "5 17 20 19 18 16\n" );
    fprintf( fp, "3 17 24 20\n" );
    fprintf( fp, "3 21 19 20\n" );
    fprintf( fp, "3 21 22 2\n" );
    fprintf( fp, "5 23 22 21 20 24\n" );
    fprintf( fp, "3 23 24 25\n" );
    fprintf( fp, "3 26 22 23\n" );
    fprintf( fp, "5 27 26 23 25 28\n" );
    fprintf( fp, "3 28 25 12\n" );
    fprintf( fp, "3 5 27 28\n" );
    fprintf( fp, "5 29 5 28 12 30\n" );
    fprintf( fp, "3 6 5 29\n" );
    fprintf( fp, "3 14 29 30\n" );
    fprintf( fp, "3 12 13 30\n" );

    fclose( fp );

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "icosidodecahedron.aoff" );
    fp = fopen( filename, "w" );

    fprintf( fp, "geometry\tindexed_poly\tfff\t\t%s\n", "icosidodecahedron.geom" );
    fprintf( fp, "connect_offset\tdefault\t\tf\t\t0\n" );

    fclose( fp );
}
